package com.engine.salary.mapper.salarysob;

import com.engine.salary.entity.salarysob.po.SalarySobItemHidePO;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;

public interface SalarySobItemHideMapper {

    /**
     * 根据账套id获取关闭显示开关的itemID
     * @param salarySobPO
     * @return
     */
    List<Long> listHideItemIds(SalarySobItemHidePO salarySobPO);

    /***
     * @description 删除薪资账套的薪资项目隐藏信息
     * @return void
     * @author Harryxzy
     * @date 2022/9/22 9:14
     */
    void deleteBySalarySobIds(@Param("ids") Collection<Long> ids);

    void update(SalarySobItemHidePO salarySobPO);


    void updateByItemId(SalarySobItemHidePO salarySobGroupItemHidePO);

    List<SalarySobItemHidePO> listSome(@Param("param") SalarySobItemHidePO po);
}
